using System;
using System.Collections.Generic;
using System.Text;

namespace Baza_Reklam
{
    /// <summary>
    /// Dane zalogowanego użytkownika.
    /// </summary>
    class User
    {
        private static User user; 

        public static User getUser()
        {
            if (user == null)
            {
                user = new User();
            }
            return user;
        } 
        

        private string login;
        private string password;
        private string imie;
        private string nazwisko;
        private int _invoiceProviderId;

        //prawa
        private bool st_sekretarka;
        private bool st_handlowiec;
        private bool st_subhandlowiec;
        private bool st_kierownik;
        private bool st_dtp;
        private bool st_korekta;
        private bool st_produkcja;
        private bool st_admin;

        private string symbol_agenta;
        private string kod_agenta;
        private int idAgencji;
        private string symbolAgencji;

        //dane z CT pracownicy
        private string stanowisko;
        private string nrGG;
        private string skype;
        private string email;
        private string komSluzbowa;
        private string telWewnetrzny;
        private string telSekretariat;
        private string faxSekretariat;
        private string nazwaBiura;
        private string adresBiura;
        private string miasto;
        
        private string reklamaFiles;
        private string smtpServer;
                
        public int IdAgencji
        {
            get { return idAgencji; }
            set { idAgencji = value; }
        }


        public string SymbolAgencji
        {
            get { return symbolAgencji; }
            set { symbolAgencji = value; }
        }

        public string Password
        {
            get { return password; }
            set { password = value; }
        }

        public string Symbol_agenta
        {
            get { return symbol_agenta; }
            set { symbol_agenta = value; }
        }        

        public string Kod_agenta
        {
            get { return kod_agenta; }
            set { kod_agenta = value; }
        }
        
        public string Login
        {
            get { return login; }
            set { login = value; }
        }
       
        public string Imie
        {
            get { return imie; }
            set { imie = value; }
        }
       
        public string Nazwisko
        {
            get { return nazwisko; }
            set { nazwisko = value; }
        }
        
        public bool St_sekretarka
        {
            get { return st_sekretarka; }
            set { st_sekretarka = value; }
        }
       
        public bool St_handlowiec
        {
            get { return st_handlowiec; }
            set { st_handlowiec = value; }
        }
       
        public bool St_subhandlowiec
        {
            get { return st_subhandlowiec; }
            set { st_subhandlowiec = value; }
        }
       
        public bool St_kierownik
        {
            get { return st_kierownik; }
            set { st_kierownik = value; }
        }
        
        public bool St_dtp
        {
            get { return st_dtp; }
            set { st_dtp = value; }
        }
        
        public bool St_korekta
        {
            get { return st_korekta; }
            set { st_korekta = value; }
        }
        
        public bool St_produkcja
        {
            get { return st_produkcja; }
            set { st_produkcja = value; }
        }
        
        public bool St_admin
        {
            get { return st_admin; }
            set { st_admin = value; }
        }

        public string Stanowisko
        {
            get { return stanowisko; }
            set { stanowisko = value; }
        }

        public string NrGG
        {
            get { return nrGG; }
            set { nrGG = value; }
        }

        public string Skype
        {
            get { return skype; }
            set { skype = value; }
        }

        public string Email
        {
            get { return email; }
            set { email = value; }
        }

        public string KomSluzbowa
        {
            get { return komSluzbowa; }
            set { komSluzbowa = value; }
        }

        public string TelWewnetrzny
        {
            get { return telWewnetrzny; }
            set { telWewnetrzny = value; }
        }

        public string TelSekretariat
        {
            get { return telSekretariat; }
            set { telSekretariat = value; }
        }

        public string FaxSekretariat
        {
            get { return faxSekretariat; }
            set { faxSekretariat = value; }
        }

        public string NazwaBiura
        {
            get { return nazwaBiura; }
            set { nazwaBiura = value; }
        }

        public string AdresBiura
        {
            get { return adresBiura; }
            set { adresBiura = value; }
        }

        public string ReklamaFiles
        {
            get { return reklamaFiles; }
            set { reklamaFiles = value; }
        }

        public string SmtpServer
        {
            get { return smtpServer; }
            set { smtpServer = value; }
        }

        public string Miasto
        {
            get { return miasto; }
            set { miasto = value; }
        }

        public int InvoiceProviderId
        {
            get { return _invoiceProviderId; }
            set { _invoiceProviderId = value; }
        }
    }
}
